- name: system setup | utilities | install utility packages
  tags: packages,system,system setup
  package:
    state: latest
    name:
      - curl
      - dmidecode
      - htop
      - iftop
      - iotop
      - "{{ lm_sensors_package }}"
      - lsof
      - neofetch
      - net-tools
      - "{{ nfs_client_package }}"
      - python3-netaddr
      - ranger
      - rsync
      - tmux
      - traceroute
      - vifm
      - "{{ vim_package }}"
      - vim-python-jedi
      - wget
      - unattended-upgrades

- name: system setup | utilities | install cloud-init and gemu guest agent
  tags: packages,system,system setup
  package:
    state: latest
    name:
      - cloud-init
      - qemu-guest-agent
      - virt-what
  when:
    - ansible_virtualization_role == "guest"
    - ansible_virtualization_type == "kvm"

- name: system setup | utilities | install utilities (arch)
  tags: packages,system,system setup
  package:
    state: latest
    name:
      - bashtop
      - exa
      - lsd
  when: ansible_distribution == "Archlinux"

- name: system setup | utilities | install man-pages (arch)
  tags: packages,system,settings
  pacman:
    state: latest
    name:
      - man-db
      - man-pages
  when: ansible_distribution == "Archlinux"

- name: system setup | utilities | install utilities (debian)
  tags: packages,system,system setup
  package:
    state: latest
    name:
      - sudo
      - htop
      - exa
      - dnsutils
  when: ansible_distribution == "Debian"